
#define ATARI_HORZ_CLIP					24
#define ATARI_FULL_HORZ_CLIP			ATARI_HORZ_CLIP * 2
#define ATARI_VIS_WIDTH					(ATARI_WIDTH - ATARI_FULL_HORZ_CLIP)
#define ATARI_STRETCH_VIS_WIDTH			(ATARI_WIDTH * 2 - (ATARI_FULL_HORZ_CLIP *2) )
#define ATARI_STRETCH_WIDTH				(ATARI_WIDTH * 2)
#define ATARI_STRETCH_HEIGHT			(ATARI_HEIGHT * 2)

#define ATARI_SCREEN_SIZE				(ATARI_WIDTH * ATARI_HEIGHT)
#define ATARI_VIS_SCREEN_SIZE			(ATARI_VIS_WIDTH * ATARI_HEIGHT)
#define ATARI_STRETCH_VIS_SCREEN_SIZE	(ATARI_STRETCH_VIS_WIDTH * ATARI_STRETCH_HEIGHT)

/* States for the modes available test */
#define MODE_1024_768			0x0040
#define	MODE_800_600			0x0020
#define MODE_640_480			0x0010
#define MODE_640_400			0x0008
#define MODE_512_384			0x0004
#define MODE_320_240			0x0002
#define MODE_320_200			0x0001

/* States for the g_ulScreenMode variable */

/* The full res flags always need to be in order of resolution size! */
/* Full screen resolutions */
#define	SM_FRES_320_200			0x00000001
#define SM_FRES_320_240			0x00000002
#define SM_FRES_512_384			0x00000004
#define	SM_FRES_640_400			0x00000008
#define SM_FRES_640_480			0x00000010
#define SM_FRES_800_600			0x00000020
#define SM_FRES_1024_768		0x00000040
#define SM_FRES_MASK			0x000000FF

/* Windowed resolutions */
#define SM_WRES_NORMAL			0x00000100
#define SM_WRES_STRETCH			0x00000200
#define SM_WRES_MASK			0x00000F00

/* General display modes */
#define SM_MODE_WIND			0x00001000	/* DirectDraw or GDI windowed mode */
#define SM_MODE_FULL			0x00002000	/* DirectDraw Full screen mode */
#define SM_MODE_MASK			0x0000F000

/* Display mode attributes */
#define SM_ATTR_SMALL_DLG		0x00010000
#define SM_ATTR_NO_MENU			0x00020000
#define SM_ATTR_SCANLINE_CAP	0x00040000
#define SM_ATTR_MASK			0x000F0000

/* Display options */
#define SM_OPTN_DDBLT_WAIT		0x00100000
#define SM_OPTN_DDVBL_WAIT 		0x00200000
#define SM_OPTN_SHOW_SCANLINES	0x00400000
#define SM_OPTN_USE_VIDEOMEM	0x00800000
#define SM_OPTN_USE_GDI			0x01000000
#define SM_OPTN_MASK			0x0FF00000

#define DISPLAY_MODE_DEFAULT (SM_MODE_WIND | SM_FRES_640_480 | SM_WRES_NORMAL | SM_OPTN_USE_GDI)
