/****************************************************************************
File    : input_win.h
/*
@(#) #SY# Atari800Win
@(#) #IS# InputWin public methods and objects prototypes
@(#) #BY# Harry
@(#) #LM# 25.02.2000
*/

#ifndef __INPUT_WIN_H__
#define __INPUT_WIN_H__

#ifdef __cplusplus
extern "C" {
#endif

/* Const declarations */

/* Exported methods */

int  InitialiseInput  ( void );
void ResetInput       ( void );
void ClearInput       ( void );
int  ReadJoystickInput( int nStickNum, BOOL bButton );
void PickJoystick     ( int nStickNum, int nJoystick );
BOOL ToggleKeyDown    ( WPARAM wp );
BOOL ToggleKeyUp      ( WPARAM wp );
void ResetKeys        ( void );

/* Exported globals */

extern HINSTANCE g_hDInput;
extern int       g_nCurrentKey;
extern int       g_nCurrentVK;
extern int       g_nNewKey;
extern int       g_nNewVK;
extern int       g_nNumDIDevs;
extern int       CTRL_KEY;

extern int       g_anSelectedInputDevice[];
extern char      g_acInputDevNames      [][ INPUT_DEV_NAMELEN ];

#ifdef __cplusplus
}
#endif

#endif /*__INPUT_WIN_H__*/
