/****************************************************************************
File    : globals.h
/*
@(#) #SY# Atari800Win
@(#) #IS# Shared C-core attributes declarations
@(#) #BY# Harry
@(#) #LM# 20.03.2000
*/

#ifndef __GLOBALS_H__
#define __GLOBALS_H__

#ifdef __cplusplus
extern "C" {
#endif

/* AtariWin C modules shared objects */

extern HWND   g_hMainWnd;
extern HWND   g_hWnd;
extern int    g_nStartX;
extern int    g_nStartY;
extern long   g_nSleepThreshold;
extern int    g_nJoyRepeat;
extern int    g_nJoySkip;
extern int    g_nSoundRate;
extern int    g_nSoundVol;

extern ULONG  g_ulScreenMode;
extern ULONG  g_ulModesAvail;
extern ULONG  g_ulMiscStates;
extern ULONG  g_ulDontShowFlags;
extern ULONG  g_ulFileAssociations;
extern ULONG  g_ulAtariHWNexttime;
extern ULONG  g_ulDeltaT;
extern ULONG  g_ulJoystickSelects;
extern ULONG  g_ulSoundState;
extern ULONG  g_ulAtariState;

/* bitmap info for our screen bitmap */
extern LPBITMAPINFO g_lpbmi;

extern int	 g_argc;
extern char	*g_argv          [];
extern char	 g_szCmdLine     [];

extern char *g_apszDriveRegID[];
extern char  g_szTemplateFile[];
extern char  g_szTemplateDesc[];
extern int   g_nKBTable      []; /* Number of virtual key codes */

extern PALETTEENTRY g_pe     [];

extern TCHAR g_tszErrorString[];

#ifdef __cplusplus
}
#endif

#endif /*__GLOBALS_H__*/
